Uberspect (Velocity 1.4 API)
Keywords: org.apache.velocity.util.introspection.Uberspect interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.util.introspection
Interface Uberspect

All Known Implementing Classes:
  UberspectImpl

public interface Uberspect

'Federated' introspection/reflection interface to allow the introspection behavior in Velocity to be customized.

Version:
  $Id: Uberspect.java,v 1.1.4.1 2004/03/03 23:23:08 geirm Exp $
Author:
  Geir Magusson Jr.

Method Summary
`java.util.Iterator` | `getIterator(java.lang.Object obj, Info info)` To support iteratives - #foreach()
`VelMethod` | `getMethod(java.lang.Object obj, java.lang.String method, java.lang.Object[] args, Info info)` Returns a general method, corresponding to $foo.bar( $woogie )
`VelPropertyGet` | `getPropertyGet(java.lang.Object obj, java.lang.String identifier, Info info)` Property getter - returns VelPropertyGet appropos for #set($foo = $bar.woogie)
`VelPropertySet` | `getPropertySet(java.lang.Object obj, java.lang.String identifier, java.lang.Object arg, Info info)` Property setter - returns VelPropertySet appropos for #set($foo.bar = "geir")
`void` | `init()` Initializer - will be called before use

Method Detail

### init

    public void init()
              throws java.lang.Exception

  Initializer - will be called before use

  Throws:
    `java.lang.Exception`

### getIterator

    public java.util.Iterator getIterator(java.lang.Object obj,
                                          Info info)
                                   throws java.lang.Exception

  To support iteratives - #foreach()

  Throws:
    `java.lang.Exception`

### getMethod

    public VelMethod getMethod(java.lang.Object obj,
                               java.lang.String method,
                               java.lang.Object[] args,
                               Info info)
                        throws java.lang.Exception

  Returns a general method, corresponding to $foo.bar( $woogie )

  Throws:
    `java.lang.Exception`

### getPropertyGet

    public VelPropertyGet getPropertyGet(java.lang.Object obj,
                                         java.lang.String identifier,
                                         Info info)
                                  throws java.lang.Exception

  Property getter - returns VelPropertyGet appropos for #set($foo = $bar.woogie)

  Throws:
    `java.lang.Exception`

### getPropertySet

    public VelPropertySet getPropertySet(java.lang.Object obj,
                                         java.lang.String identifier,
                                         java.lang.Object arg,
                                         Info info)
                                  throws java.lang.Exception

  Property setter - returns VelPropertySet appropos for #set($foo.bar = "geir")

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.